Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[closed] VMware Is Non-functional
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Desktop Environments
View previous topic :: View next topic  
Author Message
jk121960
n00b
n00b


Joined: 25 Jan 2010
Posts: 74
Location: Palos Hills, Illinois

PostPosted: Wed Jul 03, 2013 9:44 pm    Post subject: [closed] VMware Is Non-functional Reply with quote

Hi, and I apologize as this is a related post to this one that I made.
https://forums.gentoo.org/viewtopic-t-963382.html
but I have to get VMWare running I need it for my work, I found the other posts and the fix, which I tried but I don't know what to do about the resulting dependencies that are involved.
This being the down grade of dev-libs/icu to version 50.1.2 I attempted to do so but a number of dependency issues arose,
I also tried another fix of changing the vmx references to ASCII instead of UTF-8, but I didn't find the references in the configuration that he spoke of.
I was hoping that someone had come up with a different fix as this bug has been around for a number of months now according to reports.

Any help is appreciated

thanks

--jerry

PS I am using a x86_64 from the latest Gentoo release


Last edited by jk121960 on Mon Aug 12, 2013 8:28 am; edited 1 time in total
Back to top
View user's profile Send private message
nlsa8z6zoz7lyih3ap
Apprentice
Apprentice


Joined: 25 Sep 2007
Posts: 287
Location: Canada

PostPosted: Thu Jul 04, 2013 4:14 pm    Post subject: Reply with quote

What vmware package are you trying to install?

Here is what I have:
Code:
 eix -I vmware
[I] app-emulation/vmware-modules
     Available versions:  (~)238.6 [m](~)264.5 [m](~)271.2 {{kernel_linux pax_kernel}}
     Installed versions:  238.6(04:56:35 PM 02/07/13)(kernel_linux)
     Homepage:            http://www.vmware.com/
     Description:         VMware kernel modules

[I] app-emulation/vmware-player
     Available versions:  (~)3.1.6.744570^fs [m](~)4.0.5.893925^s [m](~)5.0.2.1031769^s {{cups doc +vmware-tools}}
     Installed versions:  3.1.6.744570^fs(08:34:40 PM 21/06/13)(vmware-tools -doc)
     Homepage:            http://www.vmware.com/products/player/
     Description:         Emulate a complete PC on your PC without the usual performance overhead of most emulators

[I] app-emulation/vmware-tools
     Available versions:  (~)8.4.9.744570^m (~)8.8.4.744019^m (~)8.8.5.893925^m (~)9.2.3.1031769^m {{vmware_guest_freebsd vmware_guest_linux vmware_guest_netware vmware_guest_solaris vmware_guest_winPre2k vmware_guest_windows}}
     Installed versions:  9.2.3.1031769^m(08:31:25 PM 21/06/13)(-vmware_guest_freebsd -vmware_guest_linux -vmware_guest_netware -vmware_guest_solaris -vmware_guest_winPre2k -vmware_guest_windows)
     Homepage:            http://www.vmware.com/products/player/
     Description:         VMware Tools for guest operating systems



And here is my version of icu:
Code:


[I] dev-libs/icu
     Available versions: 
        (0)     49.1.2
        (0/50.1)        ~50.1-r2 ~50.1.2
        (0/51.1)        51.1
        {{debug doc examples static-libs}}
     Installed versions:  51.1(0/51.1)(07:28:45 PM 21/06/13)(-debug -doc -examples -static-libs)
     Homepage:            http://www.icu-project.org/
     Description:         International Components for Unicode




Would these packages meet your needs?
Back to top
View user's profile Send private message
jk121960
n00b
n00b


Joined: 25 Jan 2010
Posts: 74
Location: Palos Hills, Illinois

PostPosted: Thu Jul 04, 2013 5:03 pm    Post subject: Reply with quote

It seems like your installed vmware is a couple of versions back, here is my eix, I need to find an answer to this because I use it to work.

thanks

[root@zenlinux ~]# eix -I vmware
[I] app-emulation/vmware-modules
Available versions: ~238.6 ~264.5 (~)271.2 {{kernel_linux pax_kernel}}
Installed versions: 271.2(03:32:48 AM 07/02/2013)(kernel_linux -pax_kernel)
Homepage: http://www.vmware.com/
Description: VMware kernel modules

[I] app-emulation/vmware-player
Available versions: ~3.1.6.744570^fs ~4.0.5.893925^s (~)5.0.2.1031769^s {{cups doc +vmware-tools}}
Installed versions: 5.0.2.1031769^s(03:32:31 AM 07/02/2013)(vmware-tools -cups -doc)
Homepage: http://www.vmware.com/products/player/
Description: Emulate a complete PC on your PC without the usual performance overhead of most emulators

[I] app-emulation/vmware-tools
Available versions: ~8.4.9.744570^m ~8.8.4.744019^m ~8.8.5.893925^m (~)9.2.3.1031769^m {{vmware_guest_freebsd vmware_guest_linux vmware_guest_netware vmware_guest_solaris vmware_guest_winPre2k vmware_guest_windows}}
Installed versions: 9.2.3.1031769^m(03:28:01 AM 07/02/2013)(-vmware_guest_freebsd -vmware_guest_linux -vmware_guest_netware -vmware_guest_solaris -vmware_guest_winPre2k -vmware_guest_windows)
Homepage: http://www.vmware.com/products/player/
Description: VMware Tools for guest operating systems
Back to top
View user's profile Send private message
nlsa8z6zoz7lyih3ap
Apprentice
Apprentice


Joined: 25 Sep 2007
Posts: 287
Location: Canada

PostPosted: Thu Jul 04, 2013 6:46 pm    Post subject: Reply with quote

Sorry I can't help you, except to ask if the versions that I have installed would be good enough for your purposes?

Since what I have installed works for me and meets my needs I have masked all of the higher versions.
Back to top
View user's profile Send private message
jk121960
n00b
n00b


Joined: 25 Jan 2010
Posts: 74
Location: Palos Hills, Illinois

PostPosted: Mon Aug 12, 2013 8:29 am    Post subject: Reply with quote

Never got this fixed I can only use windows vm's that are UTF-8 -> windows 8 and server 2012
Back to top
View user's profile Send private message
proteusx
n00b
n00b


Joined: 21 Jan 2008
Posts: 36

PostPosted: Thu Aug 15, 2013 1:47 pm    Post subject: Reply with quote

I had the same problem and I found this bug report helpfull.
https://bugs.gentoo.org/show_bug.cgi?id=465126
Now all my vms work again.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Desktop Environments All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum